<detalle-cliente *ngIf="clienteSeleccionado" [cliente] ="clienteSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header">Usuarios</div>
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de usuarios</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/usuarios/form']">
        Crear Usuario
      </button>
    </div>
    <div *ngIf="clientes?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped table-responsive " *ngIf="clientes?.length>0">
      <thead>
        <tr>
          <th>Cedula</th>
          <th>Usuario</th>

          <th>Nombre</th>
          <th>Apellido</th>
          <th>Email</th>
          <th>Region</th>
          <th>Direccion</th>
          <th>Telefono</th>
          <th>Cargo</th>
          <th>Rol</th>

          <!--th>Fecha</th-->
          <th  >editar</th>
          <th  >eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let cliente of clientes">
         
            <td>{{ cliente.cedula }}</td>
            <td>{{ cliente.rol }}</td>

          <td>{{ cliente.nombre }}</td>
          <td>{{ cliente.apellido | uppercase }}</td>
          <td>{{ cliente.email }}</td>
          <td>{{ cliente.region.nombre }}</td>
          <td>{{ cliente.direccion }}</td>
          <td>{{ cliente.telefono }}</td>
          <td>{{ cliente.cargo }}</td>

          <td>{{ cliente.rol }}</td>

          <!--td>{{ cliente.createAt | date:"EEEE dd, MMMM yyyy"}}</td-->
          <td  >
            <button disabled type="button" name="editar" [routerLink]="['/usuarios/form', cliente.id]" class="btn btn-primary btn-sm">editar</button>
          </td>
          <td  >
            <button disabled type="button" name="eliminar" (click)='delete(cliente)' class="btn btn-danger btn-sm">Baja</button>
          </td>
        </tr>
      </tbody>
    </table>
    <paginator-nav *ngIf="paginador" [paginador]="paginador"></paginator-nav>
  </div>
</div>
